Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ws.rs
Class WebApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ws.rs.WebApplicationException

All Implemented Interfaces:
  java.io.Serializable

    public class WebApplicationException

extends java.lang.RuntimeException

Runtime exception for applications.

This exception may be thrown by a resource method, provider or `StreamingOutput` implementation if a specific HTTP error response needs to be produced. Only effective if thrown prior to the response being committed.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Constructor Summary
`WebApplicationException()` Construct a new instance with a blank message and default HTTP status code of 500
`WebApplicationException(int status)` Construct a new instance with a blank message and specified HTTP status code
`WebApplicationException(Response.Status status)` Construct a new instance with a blank message and specified HTTP status code
`WebApplicationException(Response response)` Construct a new instance using the supplied response
`WebApplicationException(java.lang.Throwable cause)` Construct a new instance with a blank message and default HTTP status code of 500
`WebApplicationException(java.lang.Throwable cause, int status)` Construct a new instance with a blank message and specified HTTP status code
`WebApplicationException(java.lang.Throwable cause, Response.Status status)` Construct a new instance with a blank message and specified HTTP status code
`WebApplicationException(java.lang.Throwable cause, Response response)` Construct a new instance using the supplied response

Method Summary
`Response` | `getResponse()` Get the HTTP response.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebApplicationException

    public WebApplicationException()

  Construct a new instance with a blank message and default HTTP status code of 500

### WebApplicationException

    public WebApplicationException(Response response)

  Construct a new instance using the supplied response

  Parameters:
    `response` - the response that will be returned to the client, a value of null will be replaced with an internal server error response (status code 500)

### WebApplicationException

    public WebApplicationException(int status)

  Construct a new instance with a blank message and specified HTTP status code

  Parameters:
    `status` - the HTTP status code that will be returned to the client

### WebApplicationException

    public WebApplicationException(Response.Status status)

  Construct a new instance with a blank message and specified HTTP status code

  Parameters:
    `status` - the HTTP status code that will be returned to the client
  Throws:
    `java.lang.IllegalArgumentException` - if status is null

### WebApplicationException

    public WebApplicationException(java.lang.Throwable cause)

  Construct a new instance with a blank message and default HTTP status code of 500

  Parameters:
    `cause` - the underlying cause of the exception

### WebApplicationException

    public WebApplicationException(java.lang.Throwable cause,
                                   Response response)

  Construct a new instance using the supplied response

  Parameters:
    `response` - the response that will be returned to the client, a value of null will be replaced with an internal server error response (status code 500)
    `cause` - the underlying cause of the exception

### WebApplicationException

    public WebApplicationException(java.lang.Throwable cause,
                                   int status)

  Construct a new instance with a blank message and specified HTTP status code

  Parameters:
    `status` - the HTTP status code that will be returned to the client
    `cause` - the underlying cause of the exception

### WebApplicationException

    public WebApplicationException(java.lang.Throwable cause,
                                   Response.Status status)

  Construct a new instance with a blank message and specified HTTP status code

  Parameters:
    `status` - the HTTP status code that will be returned to the client
    `cause` - the underlying cause of the exception
  Throws:
    `java.lang.IllegalArgumentException` - if status is null

Method Detail

### getResponse

    public Response getResponse()

  Get the HTTP response.

  Returns:
    the HTTP response.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.